summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2016-03-10 13:06:29 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2016-03-14 11:47:19 +0100
commit915f4ac6d9ae239bd1aef47892075d019ec8b581 (patch)
tree8b8b31716dfc877aff45e8d1c4d9e7d0df3618a2 /test
parent12f40394b3940573c0e63d74722a95148fb1ad39 (diff)
flush line-clearing on progress stop before post-invoke
All other interactions with std::cout are flushed directly, just in the stop case we hadn't done it – no problem expect if there is still output coming after apt is done like in the case of a post-invoke script producing output. Closes: 793672
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-failing-maintainer-scripts7
1 files changed, 5 insertions, 2 deletions
diff --git a/test/integration/test-failing-maintainer-scripts b/test/integration/test-failing-maintainer-scripts
index 781d06e5c..8cf2380ee 100755
--- a/test/integration/test-failing-maintainer-scripts
+++ b/test/integration/test-failing-maintainer-scripts
@@ -84,5 +84,8 @@ testdpkginstalled failure-postrm
testmyfailure aptget purge failure-postrm -y
# FIXME: test with output going to a PTY as it usually does
-#cp -a rootdir/var/lib/dpkg/status.backup rootdir/var/lib/dpkg/status
-#aptget install failure-preinst -y
+if false; then
+ cp -a rootdir/var/lib/dpkg/status.backup rootdir/var/lib/dpkg/status
+ apt install dependee -y || true
+ apt install failure-postinst -y || true
+fi